Bug 171746 - Please do not duplicate messages for translation in system-config-lvm
Please do not duplicate messages for translation in system-config-lvm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
bzcl34nup
: StringChange
Depends On:
Blocks: 171762
  Show dependency treegraph
 
Reported: 2005-10-25 17:01 EDT by Christian Rose
Modified: 2008-05-06 20:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2005-10-25 17:01:03 EDT
#. ##TRANSLATOR: The first word in each string below is
#. ##an lvm command line command phrase.
#: src/CommandHandler.py:14
#, python-format
msgid ""
"vgextend command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:15
#, python-format
msgid ""
"pvcreate command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:16
#, python-format
msgid ""
"lvcreate command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:17
#, python-format
msgid ""
"pvremove command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:18
#, python-format
msgid ""
"lvremove command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:19
#, python-format
msgid ""
"vgremove command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:20
#, python-format
msgid ""
"vgcreate command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:21
#, python-format
msgid ""
"vgchange command failed. Command attempted: \"%s\" - System Error Message %s"

#: src/CommandHandler.py:22
#, python-format
msgid ""
"vgreduce command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:23
#, python-format
msgid ""
"pvmove command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:24
#, python-format
msgid ""
"umount command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:25
#, python-format
msgid ""
"mount command failed. Command Attempted: %s  - System Error Message: \"%s\""

#: src/CommandHandler.py:26
#, python-format
msgid ""
"lvresize command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:27
#, python-format
msgid ""
"lvrename command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:28
#, python-format
msgid ""
"lvchange command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/CommandHandler.py:29
#, python-format
msgid ""
"lvconvert command failed. Command attempted: \"%s\" - System Error Message: %"
"s"


Please do NOT duplicate messages like this. The only thing that differs between
these messages is the name of the command. Names of commands are never to be
translated anyway, so it could just as well have been another %s in the message:

"%s command failed. Command attempted: \"%s\" - System Error Message: %s"

By doing it like that, you can replace 16 different messages with a single one,
and reduce the workload of translators by as much. Plus you reduce the risk of
command names accidentally being mistranslated.
Comment 1 Christian Rose 2005-10-25 17:49:16 EDT
#: src/Multipath.py:11
#, python-format
msgid ""
"dmsetup command failed. Command attempted: \"%s\" - System Error Message: %s"

#: src/Multipath.py:12
#, python-format
msgid "ls command failed. Command attempted: \"%s\" - System Error Message: %s"


These messages are affected as well.
Comment 2 Jim Parsons 2005-11-09 14:46:09 EST
All better now - should be in 1.0.8-1.0
Comment 3 David Lawrence 2006-04-18 10:52:53 EDT
PASSES_QA status has been deprecated in favor of VERIFIED. Changing status to
VERIFIED.
Comment 4 Bug Zapper 2008-04-03 12:33:49 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:15:56 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.